Skip to content
Start here

Preview active event details

waiting_rooms.events.details.get(strevent_id, DetailGetParams**kwargs) -> DetailGetResponse
GET/zones/{zone_id}/waiting_rooms/{waiting_room_id}/events/{event_id}/details

Previews an event’s configuration as if it was active. Inherited fields from the waiting room will be displayed with their current values.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Waiting Rooms ReadWaiting Rooms Write
ParametersExpand Collapse
zone_id: str

Identifier.

maxLength32
waiting_room_id: str
event_id: str
ReturnsExpand Collapse
class DetailGetResponse:
id: Optional[str]
created_on: Optional[datetime]
formatdate-time
custom_page_html: Optional[str]
description: Optional[str]

A note that you can use to add more details about the event.

disable_session_renewal: Optional[bool]
event_end_time: Optional[str]

An ISO 8601 timestamp that marks the end of the event.

event_start_time: Optional[str]

An ISO 8601 timestamp that marks the start of the event. At this time, queued users will be processed with the event’s configuration. The start time must be at least one minute before event_end_time.

modified_on: Optional[datetime]
formatdate-time
name: Optional[str]

A unique name to identify the event. Only alphanumeric characters, hyphens and underscores are allowed.

new_users_per_minute: Optional[int]
prequeue_start_time: Optional[str]

An ISO 8601 timestamp that marks when to begin queueing all users before the event starts. The prequeue must start at least five minutes before event_start_time.

queueing_method: Optional[str]
session_duration: Optional[int]
shuffle_at_event_start: Optional[bool]

If enabled, users in the prequeue will be shuffled randomly at the event_start_time. Requires that prequeue_start_time is not null. This is useful for situations when many users will join the event prequeue at the same time and you want to shuffle them to ensure fairness. Naturally, it makes the most sense to enable this feature when the queueing_method during the event respects ordering such as fifo, or else the shuffling may be unnecessary.

suspended: Optional[bool]

Suspends or allows an event. If set to true, the event is ignored and traffic will be handled based on the waiting room configuration.

total_active_users: Optional[int]

Preview active event details

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
detail = client.waiting_rooms.events.details.get(
    event_id="25756b2dfe6e378a06b033b670413757",
    zone_id="023e105f4ecef8ad9ca31a8372d0c353",
    waiting_room_id="699d98642c564d2e855e9661899b7252",
)
print(detail.id)
{
  "result": {
    "id": "25756b2dfe6e378a06b033b670413757",
    "created_on": "2014-01-01T05:20:00.12345Z",
    "custom_page_html": "{{#waitTimeKnown}} {{waitTime}} mins {{/waitTimeKnown}} {{^waitTimeKnown}} Event is prequeueing / Queue all enabled {{/waitTimeKnown}}",
    "description": "Production event - DO NOT MODIFY",
    "disable_session_renewal": false,
    "event_end_time": "2021-09-28T17:00:00.000Z",
    "event_start_time": "2021-09-28T15:30:00.000Z",
    "modified_on": "2014-01-01T05:20:00.12345Z",
    "name": "production_webinar_event",
    "new_users_per_minute": 0,
    "prequeue_start_time": "2021-09-28T15:00:00.000Z",
    "queueing_method": "random",
    "session_duration": 0,
    "shuffle_at_event_start": true,
    "suspended": true,
    "total_active_users": 0
  }
}
Returns Examples
{
  "result": {
    "id": "25756b2dfe6e378a06b033b670413757",
    "created_on": "2014-01-01T05:20:00.12345Z",
    "custom_page_html": "{{#waitTimeKnown}} {{waitTime}} mins {{/waitTimeKnown}} {{^waitTimeKnown}} Event is prequeueing / Queue all enabled {{/waitTimeKnown}}",
    "description": "Production event - DO NOT MODIFY",
    "disable_session_renewal": false,
    "event_end_time": "2021-09-28T17:00:00.000Z",
    "event_start_time": "2021-09-28T15:30:00.000Z",
    "modified_on": "2014-01-01T05:20:00.12345Z",
    "name": "production_webinar_event",
    "new_users_per_minute": 0,
    "prequeue_start_time": "2021-09-28T15:00:00.000Z",
    "queueing_method": "random",
    "session_duration": 0,
    "shuffle_at_event_start": true,
    "suspended": true,
    "total_active_users": 0
  }
}